<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->SetFont('Arial','B',11);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=utf8_decode($registro["departamentoie"]);
		$municipio=utf8_decode($registro["municipioie"]);
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
	}
    $this->Ln(5);
    $this->Cell(200,0,$institucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','B',10);
    $this->Cell(200,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','',7);
    $this->Cell(200,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(4);
    $this->SetFont('Arial','I',10);
    $nomsede= $_GET['nomsede'];
    $this->Cell(200,0,$nomsede,0,1,'C');
    $this->Ln(4);
}

// Pie de página
function Footer()
{
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$nemo=utf8_decode($registro["nemoie"]);
		$direccion=utf8_decode($registro["direccionie"]);
		$telefono=$registro["telefonoie"];
		$tiporeporte=$registro["tiporeporte"];
	}
    // Posición: a 1 cm del final
    $this->SetY(-10);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  '.date("d/M/Y"),0,0,'R');
}
}

// Creación del objeto de la clase heredada

$bdie= $_GET['bdie'];
$idi= $_GET['idi'];
include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select alectivo,tipoplanillaparanotas From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$lectivo=$registro["alectivo"];
	$tipoplanillaparanotas=$registro["tipoplanillaparanotas"];
}
$danesede=$_GET['danesede'];
$periodo= $_GET['periodo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];
$idasignatura=$_POST['asignaturasest'];
$tipodocumento=$_POST['tipodocumento'];

$contador=0;
$asignatura="Lista/Planilla General";
include("../php/conexion-bdie.php");
if ($idasignatura=="1")
	$asignatura="LISTA GENERAL";
elseif ($idasignatura=="2")
	$asignatura="DIRECTOR DE CURSO";
else{
	$regasignatura= mysql_query("Select asignatura From datos_asignaturas Where idasignatura='$idasignatura'",$db_basededatosie);
	if(mysql_num_rows($regasignatura)>0) {
		$registro=mysql_fetch_array($regasignatura);
		$asignatura=utf8_decode($registro["asignatura"]);
	}
}
$regmatriculados=mysql_query("Select nuid,danesede,idgrupo From datos_matriculas Where estado='1'",$db_basededatosie);
while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
	$idestudiantematriculado=$FilaMatriculado["nuid"];
	$danesede=$FilaMatriculado["danesede"];
	$curso=substr($FilaMatriculado["idgrupo"],15,2)." - ".substr($FilaMatriculado["idgrupo"],17,1);
	include("../php/conexion-bdie.php");
	$regestudiantes=mysql_query("Select nombres,apellidos,documento,tipodocumento,fechanacimiento,genero From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
	if(mysql_num_rows($regestudiantes)>0){
		$FilaEstudiante=mysql_fetch_array($regestudiantes);
		$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
		$estudiantesdesordenados[$contador][1]=$idestudiantematriculado;
		$estudiantesdesordenados[$contador][2]=$FilaEstudiante["tipodocumento"].": ".$FilaEstudiante["documento"];
		$estudiantesdesordenados[$contador][3]=$FilaEstudiante["fechanacimiento"];
		$estudiantesdesordenados[$contador][4]=$FilaEstudiante["genero"];
		include("../php/conexion-infogeneral.php");
		$regsede= mysql_query("Select nombresede From datos_sedes Where danesede='$danesede'",$db_infogeneral);
		if(mysql_num_rows($regsede)>0) {
			$registro=mysql_fetch_array($regsede);
			$sede=utf8_decode($registro["nombresede"]);
		}
		$estudiantesdesordenados[$contador][5]=$sede;
		$estudiantesdesordenados[$contador][6]=$curso;
	}
	$contador++;
}
// Ordenar el array ... 
if ($estudiantesdesordenados) {
	sort($estudiantesdesordenados);
	$pdf = new PDF('P','mm','letter');
	$pdf->SetMargins(10, 7, 5, -1); // Margen izquierdo de 10, Superior 10 y se maneja un ancho de 200 para el contenido, Margen derecho de 5
	$pdf->AddPage();
	$pdf->SetFont('Arial','B',12);$pdf->Cell(200,5,'LISTA GENERAL DE ESTUDIANTES',0,1,'C');$pdf->Ln(2);
	$pdf->SetFont('Arial','B',8);$pdf->Ln(2);
	$pdf->Cell(7,5,'#',1,0,'C');$pdf->Cell(70,5,'APELLIDOS Y NOMBRES',1,0,'C');$pdf->Cell(10,5,'COD',1,0,'C');$pdf->Cell(25,5,'DOCUMENTO',1,0,'C');$pdf->Cell(18,5,'F.NACE',1,0,'C');$pdf->Cell(10,5,'GEN',1,0,'C');$pdf->Cell(12,5,'CURSO',1,0,'C');$pdf->Cell(50,5,'SEDE',1,1,'C');
	$pdf->SetFont('Arial','',8);
	for ($i=0;$i<$contador;$i++) {
		$pdf->Cell(7,4,$i+1,1,0,'C');
		$pdf->Cell(70,4,$estudiantesdesordenados[$i][0],1,0,'L');
		$pdf->Cell(10,4,substr($estudiantesdesordenados[$i][1],12,5),1,0,'C');
		$pdf->Cell(25,4,$estudiantesdesordenados[$i][2],1,0,'L');
		$pdf->Cell(18,4,substr($estudiantesdesordenados[$i][3],0,10),1,0,'C');
		$pdf->Cell(10,4,$estudiantesdesordenados[$i][4],1,0,'C');
		$pdf->Cell(12,4,$estudiantesdesordenados[$i][6],1,0,'C');
		$pdf->Cell(50,4,$estudiantesdesordenados[$i][5],1,1,'L');
	}
}
else
	$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C');

$pdf->Output();
?>